Skip to main content
PATCH
/
v1
/
nodes
/
{id}
/
extend
Extend node reservation
curl --request PATCH \
  --url https://api.sfcompute.com/v1/nodes/{id}/extend \
  --header 'Content-Type: application/json' \
  --data '
{
  "duration_seconds": 7200,
  "max_price_per_node_hour": 1000
}
'
{
  "object": "node",
  "id": "n_b1dc52505c6db142",
  "name": "cuda-crunch",
  "zone": "hayesvalley",
  "gpu_type": "H100",
  "owner": "sfcompute",
  "status": "running",
  "created_at": 1640995200,
  "updated_at": 1640995200,
  "start_at": 1640995200,
  "end_at": 1641007200,
  "max_price_per_node_hour": 1000,
  "node_type": "reserved",
  "vms": {
    "object": "list",
    "data": [
      {
        "object": "vm",
        "id": "vm_myOZZXw4pfcp7H9DQOldd",
        "status": "running",
        "created_at": 1640995200,
        "updated_at": 1640995200,
        "start_at": 1640995200,
        "end_at": 1641007200,
        "image_id": "vmi_myOZZXw4pfcp7H9DQOldd",
        "zone": "hayesvalley"
      }
    ]
  },
  "current_vm": {
    "object": "vm",
    "id": "vm_myOZZXw4pfcp7H9DQOldd",
    "status": "running",
    "created_at": 1640995200,
    "updated_at": 1640995200,
    "start_at": 1640995200,
    "end_at": 1641007200,
    "image_id": "vmi_myOZZXw4pfcp7H9DQOldd",
    "zone": "hayesvalley"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.sfcompute.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

Node ID or name

Body

application/json
duration_seconds
integer<int64>
required

Duration in seconds to extend the node Must be at least 1 hour (3600 seconds) and a multiple of 1 hour.

Required range: x >= 3600
Example:

7200

max_price_per_node_hour
integer<int64>
required

Max price per hour for the extension in cents

Required range: x >= 200
Example:

1000

Response

Node extended successfully

object
string
required
Example:

"node"

id
string
required
Example:

"n_b1dc52505c6db142"

name
string
required
Example:

"cuda-crunch"

gpu_type
enum<string>
required
Available options:
H100,
H200
owner
string
required
Example:

"sfcompute"

status
enum<string>
required

Node Status

Available options:
pending,
awaitingcapacity,
running,
released,
terminated,
deleted,
failed,
unknown
node_type
enum<string>
required
Available options:
autoreserved,
reserved
zone
string | null
Example:

"hayesvalley"

created_at
integer<int64> | null

Creation time as Unix timestamp in seconds

Example:

1640995200

updated_at
integer<int64> | null

Last updated time as Unix timestamp in seconds

Example:

1640995200

start_at
integer<int64> | null

Start time as Unix timestamp in seconds

Example:

1640995200

end_at
integer<int64> | null

End time as Unix timestamp in seconds

Example:

1640995200

deleted_at
integer<int64> | null

Deletion time as Unix timestamp in seconds

Example:

1640995200

procurement_id
string | null
Example:

"proc_b1dc52505c6de142"

max_price_per_node_hour
integer<int64> | null

Max price per hour you're willing to pay for a node in cents

Example:

1000

vms
object
current_vm
object